
Bottle = Core.class(Bitmap)
 
function Bottle:init(texture, x, y)
	self:setAnchorPoint(0.5, 0.5)
	self:setPosition(x, y)

	self.id = -1

	self:addEventListener(Event.TOUCHES_BEGIN, self.onTouch, self)
	self:addEventListener(Event.TOUCHES_MOVE, self.onMove, self)
	self:addEventListener(Event.TOUCHES_END, self.onEnd, self)
end
 
function Bottle:onTouch(e)
	if self:hitTestPoint(e.touch.x, e.touch.y) then
		self.id = e.touch.id
		self:setAlpha(0.5)
	end
end

function Bottle:onMove(e)
	if	e.touch.id == self.id then
		self:setPosition(e.touch.x, e.touch.y)
		print(self.name, e.touch.x, e.touch.y)
	end
end

function Bottle:onEnd(e)
	if e.touch.id == self.id then
		self.id = -1
		self:setAlpha(1.0)
	end
end
